@import url('./reset.css');
:root {
	--c-accent: #00ffff;
}
.slider {
	position: relative;
	width: 100%;
	height: 100%;
}

.slider__box {
	/* border: 5px solid red; */
	height: 100%;
	overflow: hidden;
}

.slider__track {
	display: flex;
	height: 100%;
	transition: ease 1s;
}

.slide {
	position: relative;
	transition: 0.3s;
}

.slide:hover img {
	filter: saturate(200%);
}

.slide:hover .slide__title {
	opacity: 1;
}
.slide img {
	width: 100%;
	height: 100%;

	transition: 0.3s;
}

.slide__content {
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
}

.slide__title {
	padding-top: 15px;
	opacity: 0.8;
	color: white;
	font-size: 3vw;
	text-align: center;
	text-transform: uppercase;
	transition: 0.3s;
}

.slider__buttons {
	display: flex;
	justify-content: space-between;
	height: 100%;
}

.slider__control-content {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 2vw;
	height: 100%;
	padding: 10px;
}

.slider__control-line {
	width: 2px;
	background-image: linear-gradient(
		to top,
		rgba(255, 255, 255, 0),
		var(--c-accent),
		rgba(255, 255, 255, 0)
	);
}

.slider__next,
.slider__pref {
	position: absolute;
	opacity: 0;
	top: 0;
	bottom: 0;
	width: 15%;
	display: flex;
	justify-content: space-between;

	backdrop-filter: blur(5px);
	background-image: linear-gradient(
		to bottom,
		rgba(255, 255, 255, 0),
		rgba(0, 0, 0, 0.9),
		rgba(255, 255, 255, 0)
	);
	color: var(--c-accent);
	font-size: 3vw;
	font-weight: 800;
	cursor: pointer;
	transition: linear 0.3s;
}

.slider__pref {
	left: 0;
}

.slider__next {
	right: 0;
}

.slider__next:hover,
.slider__pref:hover {
	opacity: 1;
}

.slider__pref:hover ~ .slider__box-dots,
.slider__next:hover ~ .slider__box-dots {
	min-height: 25px;
	opacity: 1;
	border-radius: 0px;
	padding-bottom: 10px;
	background-color: rgba(0, 0, 0, 0.5);
}

.slider__box-dots {
	opacity: 0.3;
	position: absolute;
	bottom: 0px;
	left: 0px;
	right: 0px;
	display: flex;
	align-items: center;
	padding: 5px 15px;
	gap: 1vw;

	background-color: rgba(0, 0, 0, 0.7);
	backdrop-filter: blur(5px);
	border-radius: 20px;
	transition: 0.3s;
}

.slider__box-dots:hover {
	min-height: 25px;
	opacity: 1;
	border-radius: 0px;
	padding-bottom: 10px;
	background-color: rgba(0, 0, 0, 0.5);
}

.slider__box-dots:hover .slider__dot {
	padding: 3px;
}

.slider__dot {
	display: flex;
	justify-content: center;
	flex: 1 1 auto;
	min-height: 3px;
	padding: 2px;
	display: flex;

	background-color: #00ffff90;
	border-radius: 5px;
	border: 1px solid transparent;
	cursor: pointer;
	transition: ease 0.5s;
}

.slider__dot:hover {
	box-shadow: 0px 0px 5px var(--c-accent);
	border-color: white;
}

.slider__dot_active {
	flex: 2 1 auto;
	padding: 3px;
	align-self: flex-start;
}

.slider__dot-inner {
	opacity: 0;
	min-height: 1px;
	max-width: 100%;

	background-color: #fff;
	border-radius: 5px;
	transition: 0.3s;
}

.slider__dot_active .slider__dot-inner {
	opacity: 1;
	min-height: 2px;
	padding: 2px;
}
